lzma_filter_coder Struct Reference

Both lzma_filter_encoder and lzma_filter_decoder begin with these members. More...

`#include <filter_common.h>`

## Data Fields

lzma_vli | id
| Filter ID. More...
lzma_init_function | init
uint64_t(* | memusage )(const void *options)

## Detailed Description

Both lzma_filter_encoder and lzma_filter_decoder begin with these members.

## Field Documentation

## id

lzma_vli lzma_filter_coder::id

Filter ID.

## init

lzma_init_function lzma_filter_coder::init

Initializes the filter encoder and calls lzma_next_filter_init() for filters + 1.

## memusage

uint64_t(* lzma_filter_coder::memusage) (const void *options)

Calculates memory usage of the encoder. If the options are invalid, UINT64_MAX is returned.

The documentation for this struct was generated from the following file:

- liblzma/common/filter_common.h